Results 1 to 7 of 7

Thread: apper gear showing up on right lower side

  1. #1

    Default apper gear showing up on right lower side

    on apper updates it showed 54 updates. i checked in yast no updates for programs

    one update on apper is for amarok 2.4.3-17.3, when i checked in yast the version installed is 2.4.3-17.1

    some are newer versions and some are not

    should i install the ones that are newer versions or just wait for yast to updates them

    thanks

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: apper gear showing up on right lower side

    On 2011-12-15 20:06, diablo1 wrote:
    > should i install the ones that are newer versions or just wait for yast
    > to updates them


    Yast online update will never update that one, unless they come as patch in
    the official update repo.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,176
    Blog Entries
    3

    Default Re: apper gear showing up on right lower side

    I have apper set to not start automatically, but I can start it manually from the menus.

    Yesterday, I did an online update using Yast. That included an update to apper itself.

    After that online update, I ran apper (manually started). It also wanted to update a bunch of stuff (and I allowed it).

    This is my understanding, which admittedly could be mistaken: online update will update from the update repos. apper will also update from the main repos, if the version there happens to be newer. In practice, the main opensuse repos do not change, so online update takes care of all updating from the opensuse repos. However, the main packman repo is periodically updated with newer versions. So I think what you are seeing that is in apper but not in online update, is all coming from packman repos and any other repos that you might have added.
    openSUSE Leap 15.1; KDE Plasma 5;

  4. #4

    Default Re: apper gear showing up on right lower side

    i set my apper to never. so i guess its ok to update the newer versions from apper since yast online never does from what i read. there are some on apper that appear to be the same version. if i manually update all 54 in the apper, the ones with the same version wont screw anything up on my opensuse 12.1?

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: apper gear showing up on right lower side

    On 2011-12-15 20:56, diablo1 wrote:
    >
    > i set my apper to never. so i guess its ok to update the newer versions
    > from apper since yast online never does from what i read.


    You can tell YaST package manager to update things to newer versions if
    they exist. It is a separate option.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  6. #6

    Default Re: apper gear showing up on right lower side

    this quote is Located at YaST Software Management - openSUSE
    "You can also choose to update all packages where a newer version is available. Remember that there's always a risk involved with updating, so think twice before doing this, especially if you already have a system that is working to your satisfaction. The procedure is this: Click on Package in the menu on the top -> All packages -> Update if newer version is available."

    does that also mean that updating all programs in apper is a risk as well?
    Im not on opensuse now to check the optiion in yast but can you update just the programs you use the most instead of choosing all packages?

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: apper gear showing up on right lower side

    On 2011-12-15 22:16, diablo1 wrote:

    > does that also mean that updating all programs in apper is a risk as
    > well?


    Of course.

    There is a rule in programming that adding new code (features) also adds
    new bugs. If something is working to your liking, updating it can give you
    new interesting features, and also new interesting bugs :-p

    That's irrelevant of the tool you use to make the update.

    > Im not on opensuse now to check the optiion in yast but can you update
    > just the programs you use the most instead of choosing all packages?


    Of course. Select the package, press "+" or right click and select whatever.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •